> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Sign Off Note



## OpenAPI

````yaml post /notes/{note_id}/sign-off
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /notes/{note_id}/sign-off:
    post:
      tags:
        - provider
        - scribe
        - note
      summary: Sign Off Note
      operationId: sign_off_note_notes__note_id__sign_off_post
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: note_id
          in: path
          required: true
          schema:
            type: string
            title: Note Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NoteDetail'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    NoteDetail:
      properties:
        id:
          type: string
          title: Id
        eventId:
          anyOf:
            - type: string
            - type: 'null'
          title: Eventid
        parentNoteId:
          type: string
          title: Parentnoteid
        duration:
          anyOf:
            - type: integer
            - type: 'null'
          title: Duration
        version:
          type: integer
          title: Version
        currentVersion:
          type: integer
          title: Currentversion
        content:
          anyOf:
            - type: string
            - type: 'null'
          title: Content
        summary:
          anyOf:
            - type: string
            - type: 'null'
          title: Summary
        aiGenerated:
          type: boolean
          title: Aigenerated
        template:
          anyOf:
            - $ref: '#/components/schemas/NoteTemplateTableItem'
            - type: 'null'
        patient:
          $ref: '#/components/schemas/PatientDetail'
        createdDate:
          type: string
          format: date-time
          title: Createddate
        transcript:
          anyOf:
            - $ref: '#/components/schemas/NoteTranscriptSummary'
            - type: 'null'
        providers:
          items:
            $ref: '#/components/schemas/ProviderTiny'
          type: array
          title: Providers
          default: []
        sourceDocuments:
          items:
            $ref: '#/components/schemas/DocumentSummary'
          type: array
          title: Sourcedocuments
          default: []
        icd10Codes:
          anyOf:
            - items:
                $ref: '#/components/schemas/ICDTenCode'
              type: array
            - type: 'null'
          title: Icd10Codes
        cptCodes:
          anyOf:
            - items:
                $ref: '#/components/schemas/CPTCode'
              type: array
            - type: 'null'
          title: Cptcodes
        signedOffProviderId:
          anyOf:
            - type: string
            - type: 'null'
          title: Signedoffproviderid
        signedOffDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Signedoffdate
      type: object
      required:
        - id
        - parentNoteId
        - version
        - currentVersion
        - aiGenerated
        - patient
        - createdDate
      title: NoteDetail
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    NoteTemplateTableItem:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        contentTemplate:
          anyOf:
            - type: string
            - type: 'null'
          title: Contenttemplate
        attachments:
          items:
            $ref: '#/components/schemas/NoteTemplateAttachmentResponse'
          type: array
          title: Attachments
          default: []
        createdDate:
          type: string
          format: date-time
          title: Createddate
      type: object
      required:
        - id
        - name
        - createdDate
      title: NoteTemplateTableItem
    PatientDetail:
      properties:
        id:
          type: string
          title: Id
          description: The unique identifier for the user.
        firstName:
          anyOf:
            - type: string
            - type: 'null'
          title: Firstname
          description: The user's first name.
        lastName:
          anyOf:
            - type: string
            - type: 'null'
          title: Lastname
          description: The user's last name.
        phoneNumber:
          anyOf:
            - type: string
            - type: 'null'
          title: Phonenumber
          description: The user's phone number.
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
          description: The user's email address.
        type:
          $ref: '#/components/schemas/UserType'
          description: The type of user.
        locationId:
          anyOf:
            - type: string
            - type: 'null'
          title: Locationid
          description: The location of the user.
        externalId:
          anyOf:
            - type: string
            - type: 'null'
          title: Externalid
          description: The user's external identifier if available.
        address:
          anyOf:
            - type: string
            - type: 'null'
          title: Address
          description: The user's primary address.
        addressLineTwo:
          anyOf:
            - type: string
            - type: 'null'
          title: Addresslinetwo
          description: Additional address information.
        city:
          anyOf:
            - type: string
            - type: 'null'
          title: City
          description: The city of the user's address.
        state:
          anyOf:
            - type: string
            - type: 'null'
          title: State
          description: The state of the user's address.
        zipCode:
          anyOf:
            - type: string
            - type: 'null'
          title: Zipcode
          description: The postal code of the user's address.
        country:
          anyOf:
            - type: string
            - type: 'null'
          title: Country
          description: The country of the user's address.
        createdDate:
          type: string
          format: date-time
          title: Createddate
          description: The date and time when the user was created.
        addressValid:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Addressvalid
          description: Whether the user's address is valid.
        meta:
          anyOf:
            - type: object
            - type: 'null'
          title: Meta
          description: Any additional metadata about the user relevant to your system.
        isArchived:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Isarchived
          description: Whether the user is archived.
        primaryLocationId:
          anyOf:
            - type: string
            - type: 'null'
          title: Primarylocationid
          description: The primary location of the user.
        gender:
          anyOf:
            - type: string
            - type: 'null'
          title: Gender
          description: The gender of the patient.
        dateOfBirth:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Dateofbirth
          description: The date of birth of the patient.
        patientMedications:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Patientmedications
          description: List of patient's self-reported medications.
        onSchedulingBlacklist:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Onschedulingblacklist
          description: Whether the patient is on the scheduling blacklist.
        surchargeDisabled:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Surchargedisabled
          description: Whether surcharges are disabled for this patient.
        tags:
          anyOf:
            - items:
                $ref: '#/components/schemas/PatientTagSummary'
              type: array
            - type: 'null'
          title: Tags
          description: List of patient tags
        creditBalance:
          anyOf:
            - type: integer
            - type: 'null'
          title: Creditbalance
          description: Patient's credit balance in cents.
        preferredProviderId:
          anyOf:
            - type: string
            - type: 'null'
          title: Preferredproviderid
          description: The preferred provider ID for this patient.
        memberships:
          anyOf:
            - items:
                $ref: '#/components/schemas/MemberTiny'
              type: array
            - type: 'null'
          title: Memberships
          description: List of memberships for this patient
        goalWeight:
          anyOf:
            - type: number
            - type: 'null'
          title: Goalweight
          description: The goal weight of the patient.
        measurements:
          anyOf:
            - items:
                $ref: '#/components/schemas/MeasurementSummary'
              type: array
            - type: 'null'
          title: Measurements
          description: List of patient's measurements.
        medications:
          anyOf:
            - items:
                $ref: '#/components/schemas/DeprecatedMedicationSummary'
              type: array
            - type: 'null'
          title: Medications
          description: List of provider-administered medication doses.
        optedOutOfSms:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Optedoutofsms
          description: Whether patient has opted out of SMS
        appointmentCount:
          anyOf:
            - type: integer
            - type: 'null'
          title: Appointmentcount
          description: Total number of appointments for this patient
        totalSpent:
          anyOf:
            - type: integer
            - type: 'null'
          title: Totalspent
          description: Total amount spent by this patient in cents
      type: object
      required:
        - id
        - type
        - createdDate
      title: PatientDetail
    NoteTranscriptSummary:
      properties:
        id:
          type: string
          title: Id
        transcript:
          type: string
          title: Transcript
        duration:
          anyOf:
            - type: integer
            - type: 'null'
          title: Duration
        createdDate:
          type: string
          format: date-time
          title: Createddate
      type: object
      required:
        - id
        - transcript
        - createdDate
      title: NoteTranscriptSummary
    ProviderTiny:
      properties:
        id:
          type: string
          title: Id
        firstName:
          type: string
          title: Firstname
        lastName:
          anyOf:
            - type: string
            - type: 'null'
          title: Lastname
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
        createdDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Createddate
      type: object
      required:
        - id
        - firstName
      title: ProviderTiny
    DocumentSummary:
      properties:
        id:
          type: string
          title: Id
        patientId:
          type: string
          title: Patientid
        filePath:
          type: string
          title: Filepath
        fileType:
          type: string
          title: Filetype
        title:
          type: string
          title: Title
        summary:
          anyOf:
            - type: string
            - type: 'null'
          title: Summary
        docType:
          $ref: '#/components/schemas/DocumentType'
        signatureUrl:
          anyOf:
            - type: string
            - type: 'null'
          title: Signatureurl
      type: object
      required:
        - id
        - patientId
        - filePath
        - fileType
        - title
        - summary
        - docType
        - signatureUrl
      title: DocumentSummary
    ICDTenCode:
      properties:
        code:
          type: string
          title: Code
        shortDesc:
          type: string
          title: Shortdesc
        longDesc:
          anyOf:
            - type: string
            - type: 'null'
          title: Longdesc
        categorical:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Categorical
      type: object
      required:
        - code
        - shortDesc
        - longDesc
        - categorical
      title: ICDTenCode
    CPTCode:
      properties:
        code:
          type: string
          title: Code
        category1:
          anyOf:
            - type: string
            - type: 'null'
          title: Category1
        category2:
          anyOf:
            - type: string
            - type: 'null'
          title: Category2
        category3:
          anyOf:
            - type: string
            - type: 'null'
          title: Category3
        category4:
          anyOf:
            - type: string
            - type: 'null'
          title: Category4
        category5:
          anyOf:
            - type: string
            - type: 'null'
          title: Category5
        category6:
          anyOf:
            - type: string
            - type: 'null'
          title: Category6
        description:
          type: string
          title: Description
        notes:
          anyOf:
            - type: string
            - type: 'null'
          title: Notes
      type: object
      required:
        - code
        - category1
        - category2
        - category3
        - category4
        - category5
        - category6
        - description
        - notes
      title: CPTCode
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    NoteTemplateAttachmentResponse:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        gcsPath:
          anyOf:
            - type: string
            - type: 'null'
          title: Gcspath
        signedUrl:
          anyOf:
            - type: string
            - type: 'null'
          title: Signedurl
        createdDate:
          type: string
          format: date-time
          title: Createddate
      type: object
      required:
        - id
        - name
        - createdDate
      title: NoteTemplateAttachmentResponse
    UserType:
      type: string
      enum:
        - PROVIDER
        - PATIENT
        - ASSISTANT
      title: UserType
    PatientTagSummary:
      properties:
        id:
          type: string
          title: Id
          description: Unique identifier for the patient tag
        name:
          type: string
          title: Name
          description: Name of the patient tag
        emoji:
          anyOf:
            - type: string
            - type: 'null'
          title: Emoji
          description: Emoji associated with the tag
        color:
          anyOf:
            - type: string
            - type: 'null'
          title: Color
          description: Color code for the tag (hex format)
        isActive:
          type: boolean
          title: Isactive
          description: Whether the tag is active
        createdDate:
          type: string
          format: date-time
          title: Createddate
          description: Date and time when the tag was created
        updatedDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updateddate
          description: Date and time when the tag was last updated
      type: object
      required:
        - id
        - name
        - isActive
        - createdDate
      title: PatientTagSummary
    MemberTiny:
      properties:
        id:
          type: string
          title: Id
          description: Unique identifier for the member
        membership:
          $ref: '#/components/schemas/MembershipTiny'
          description: Membership details
        startDate:
          type: string
          format: date-time
          title: Startdate
          description: When the patient joined the membership
        status:
          $ref: '#/components/schemas/MemberStatus'
          description: Current status of the membership
      type: object
      required:
        - id
        - membership
        - startDate
        - status
      title: MemberTiny
    MeasurementSummary:
      properties:
        height:
          anyOf:
            - type: number
            - type: 'null'
          title: Height
          description: The height of the patient in cms.
        weight:
          anyOf:
            - type: number
            - type: 'null'
          title: Weight
          description: The weight of the patient in kgs.
        systolicBp:
          anyOf:
            - type: number
            - type: 'null'
          title: Systolicbp
        diastolicBp:
          anyOf:
            - type: number
            - type: 'null'
          title: Diastolicbp
        pulse:
          anyOf:
            - type: number
            - type: 'null'
          title: Pulse
        temperature:
          anyOf:
            - type: number
            - type: 'null'
          title: Temperature
        waistCircumference:
          anyOf:
            - type: number
            - type: 'null'
          title: Waistcircumference
          description: The waist circumference of the patient in cms.
        patientId:
          type: string
          title: Patientid
        noteId:
          anyOf:
            - type: string
            - type: 'null'
          title: Noteid
        measurementDate:
          type: string
          format: date-time
          title: Measurementdate
          description: >-
            The date and time the measurement was taken. Defaults to now if not
            provided.
        eventId:
          anyOf:
            - type: string
            - type: 'null'
          title: Eventid
          description: The event that the measurement was taken for.
        createdDate:
          type: string
          format: date-time
          title: Createddate
        id:
          type: string
          title: Id
        creatorId:
          anyOf:
            - type: string
            - type: 'null'
          title: Creatorid
          description: >-
            ID of the user who created this measurement (optional for legacy
            measurements)
      type: object
      required:
        - patientId
        - createdDate
        - id
      title: MeasurementSummary
      description: >-
        Schema for reading measurements. creator_id is optional for legacy
        measurements.
    DeprecatedMedicationSummary:
      properties:
        id:
          type: string
          title: Id
        createdDate:
          type: string
          format: date-time
          title: Createddate
        patientId:
          type: string
          title: Patientid
        providerId:
          anyOf:
            - type: string
            - type: 'null'
          title: Providerid
        name:
          type: string
          title: Name
        sideEffects:
          anyOf:
            - type: string
            - type: 'null'
          title: Sideeffects
        administrationLocation:
          anyOf:
            - type: string
            - type: 'null'
          title: Administrationlocation
        amount:
          anyOf:
            - type: number
            - type: 'null'
          title: Amount
        unit:
          anyOf:
            - $ref: '#/components/schemas/Unit'
            - type: 'null'
        lotNumber:
          anyOf:
            - type: string
            - type: 'null'
          title: Lotnumber
        stockId:
          anyOf:
            - type: string
            - type: 'null'
          title: Stockid
        noteId:
          anyOf:
            - type: string
            - type: 'null'
          title: Noteid
        doseDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Dosedate
        comment:
          anyOf:
            - type: string
            - type: 'null'
          title: Comment
        frequency:
          anyOf:
            - type: string
            - type: 'null'
          title: Frequency
        quantity:
          anyOf:
            - type: number
            - type: 'null'
          title: Quantity
        isUsedAsTemplate:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Isusedastemplate
        signedOffProviderId:
          anyOf:
            - type: string
            - type: 'null'
          title: Signedoffproviderid
        signedOffDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Signedoffdate
        provider:
          anyOf:
            - $ref: '#/components/schemas/UserTiny'
            - type: 'null'
      type: object
      required:
        - id
        - createdDate
        - patientId
        - name
      title: DeprecatedMedicationSummary
      description: |-
        DEPRECATED: Use DoseSummary for administration records.
        This schema is kept for backward compatibility.
    DocumentType:
      type: string
      enum:
        - LAB
        - PHARMACY
        - IMAGE
        - REPORT
        - OTHER
        - CONSENT
        - NOTE_UPLOAD
      title: DocumentType
    MembershipTiny:
      properties:
        id:
          type: string
          title: Id
          description: Unique identifier for the membership
        name:
          type: string
          title: Name
          description: Name of the membership
        textColor:
          anyOf:
            - type: string
            - type: 'null'
          title: Textcolor
          description: Text color of the membership
      type: object
      required:
        - id
        - name
      title: MembershipTiny
    MemberStatus:
      type: string
      enum:
        - ACTIVE
        - EXPIRED
        - CANCELLED
        - DELINQUENT
        - FROZEN
      title: MemberStatus
    Unit:
      type: string
      enum:
        - AMPOULES
        - APPLICATORS
        - BOTTLES
        - BOXES
        - CAPSULES
        - CUPS
        - DOSES
        - G_PER_ML
        - GRAMS
        - IU
        - IU_PER_ML
        - OUNCES
        - FLUID_OUNCES
        - KG
        - KITS
        - LITERS
        - MCG
        - MG
        - MG_PER_ML
        - ML
        - MMOL
        - MICROGRAM_PER_ML
        - PACKS
        - PAIRS
        - PATCHES
        - PERCENTAGE
        - PIECES
        - POUCHES
        - ROLLS
        - SACHETS
        - SHEETS
        - SPRAYS
        - STRIPS
        - SYRINGES
        - TABLETS
        - TABLETS_PER_DAY
        - TESTS
        - TUBES
        - UNITS
        - VIALS
        - TREATMENTS
        - SESSIONS
        - PULSES
        - JOULES
        - CENTIMETERS
        - THREAD_COUNT
        - INJECTIONS
        - WRINKLE_UNITS
        - POUNDS
        - FEET
        - INCHES
      title: Unit
    UserTiny:
      properties:
        id:
          type: string
          title: Id
          description: The unique identifier for the user.
        firstName:
          anyOf:
            - type: string
            - type: 'null'
          title: Firstname
          description: The user's first name.
        lastName:
          anyOf:
            - type: string
            - type: 'null'
          title: Lastname
          description: The user's last name.
        phoneNumber:
          anyOf:
            - type: string
            - type: 'null'
          title: Phonenumber
          description: The user's phone number.
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
          description: The user's email address.
        type:
          $ref: '#/components/schemas/UserType'
          description: The type of user.
        locationId:
          anyOf:
            - type: string
            - type: 'null'
          title: Locationid
          description: The location of the user.
      type: object
      required:
        - id
        - type
      title: UserTiny

````